# Uses of Interface
org.opensaml.storage.StorageService

Packages that use StorageService
Package
Description
org.opensaml.saml.common.binding.artifact.impl
Implementation of SAML artifact mapping.
org.opensaml.storage
Interfaces and classes for storing state data of the type used in replay caches, conversation identifiers, etc.
org.opensaml.storage.impl
Storage-related implementation classes.
org.opensaml.storage.impl.client
Implementation of `StorageService` that unifies cookie and HTML Local Storage.
org.opensaml.storage.impl.memcached
Implementation of memcached `StorageService`.

## Uses of StorageService in org.opensaml.saml.common.binding.artifact.impl

Fields in org.opensaml.saml.common.binding.artifact.impl declared as StorageService
Modifier and Type
Field
Description
`private StorageService`
StorageServiceSAMLArtifactMap.`artifactStore`
Artifact mapping storage.
Methods in org.opensaml.saml.common.binding.artifact.impl that return StorageService
Modifier and Type
Method
Description
`StorageService`
StorageServiceSAMLArtifactMap.`getStorageService()`
Get the artifact store.
Methods in org.opensaml.saml.common.binding.artifact.impl with parameters of type StorageService
Modifier and Type
Method
Description
`void`
StorageServiceSAMLArtifactMap.`setStorageService(StorageService store)`
Set the artifact store.

## Uses of StorageService in org.opensaml.storage

Subinterfaces of StorageService in org.opensaml.storage
Modifier and Type
Interface
Description
`interface`
`EnumeratableStorageService`
An extended `StorageService` able to enumerate the keys in a context.
Classes in org.opensaml.storage that implement StorageService
Modifier and Type
Class
Description
`class`
`AbstractMapBackedStorageService`
Partial implementation of `StorageService` that stores data in-memory with no persistence using a simple map.
`class`
`AbstractStorageService`
Abstract base class for `StorageService` implementations.

## Uses of StorageService in org.opensaml.storage.impl

Classes in org.opensaml.storage.impl that implement StorageService
Modifier and Type
Class
Description
`class`
`MemoryStorageService`
Implementation of `AbstractMapBackedStorageService` that stores data in-memory in a shared data structure with no persistence.
Fields in org.opensaml.storage.impl declared as StorageService
Modifier and Type
Field
Description
`private StorageService`
StorageServiceReplayCache.`storage`
Backing storage for the replay cache.
`private StorageService`
StorageServiceRevocationCache.`storage`
Backing storage for the replay cache.
Methods in org.opensaml.storage.impl that return StorageService
Modifier and Type
Method
Description
`StorageService`
StorageServiceReplayCache.`getStorage()`
Get the backing store for the cache.
`StorageService`
StorageServiceRevocationCache.`getStorage()`
Get the backing store for the cache.
Methods in org.opensaml.storage.impl with parameters of type StorageService
Modifier and Type
Method
Description
`void`
StorageServiceReplayCache.`setStorage(StorageService storageService)`
Set the backing store for the cache.
`void`
StorageServiceRevocationCache.`setStorage(StorageService storageService)`
Set the backing store for the cache.

## Uses of StorageService in org.opensaml.storage.impl.client

Classes in org.opensaml.storage.impl.client that implement StorageService
Modifier and Type
Class
Description
`class`
`ClientStorageService`
Implementation of `StorageService` that stores data in-memory in a shared session attribute.

## Uses of StorageService in org.opensaml.storage.impl.memcached

Classes in org.opensaml.storage.impl.memcached that implement StorageService
Modifier and Type
Class
Description
`class`
`MemcachedStorageService`
Memcached storage service.